<?php

namespace Tests\Functional;

use App\Helpers\Config;
use App\Helpers\HttpClient;
use PHPUnit\Framework\TestCase;
use App\Database\PDOQueryBuilder;
use App\Database\PDODatabaseConnection;

class CrudTest extends TestCase
{
    private $httpClient;
    private $queryBuilder;
    public function setUp(): void
    {
        $pdoConnection = new PDODatabaseConnection($this->getConfig());
        $this->queryBuilder = new PDOQueryBuilder($pdoConnection->connect());
        $this->httpClient = new HttpClient();
        parent::setUp();
    }

    public function testItCanCreateDataWithAPI()
    {
        $data = [
            'json' => [
                'name' =>  'API',
                'user' => 'Pouya',
                'email' => 'pouya@gmail.com',
                'link' => 'api.com'
            ]
        ];
        $response = $this->httpClient->post('index.php', $data);
        echo $response->getBody();
        $this->assertEquals(200, $response->getStatusCode());
        $bug = $this->queryBuilder
            ->table('bug')
            ->where('name', 'API')
            ->where('user', 'Pouya')
            ->first();
        $this->assertNotNull($bug);
    }


    public function tearDown(): void
    {
        $this->httpClient = null;
        parent::tearDown();
    }
    private function getConfig()
    {
        return Config::get('database', 'pdo_testing');
    }
}
